Subject: bug#58069: Latex

From: Arash Esbati <[email-masked]>
Date: Tue, 05 Mar 2024 10:18:37 +0100

Ikumi Keita <[email-masked]> writes:

> Hi Hendrik,
>
>>>>>> Hendrik Rommeswinkel via bug-auctex via Bug reporting list for
>> AUCTeX <[email-masked]> writes:
>> When I am in insert mode and press "`a" the behavior depends on
>> whether the cursor is in a math environment (where it inserts
>> "\alpha") or in a text environment (where it inserts "\alpha{}"). Is
>> this intended? I am thrown off by this inconsistency to the extent
>> that I hardly use the shortcuts because I sometimes sketch a quick
>> formula outside of a math environment (which is probably bad
>> style...).
>
> The behavior is determined by the user options `TeX-insert-braces' and
> `TeX-insert-braces-alist'. In that sense, yes, it's intended behavior.
> The default value of `TeX-insert-braces' is t, which means that AUCTeX
> supplies a pair of brace for standard macros. (You'll notice that AUCTeX
> supplies braces even in math mode when there is active region.)
>
> I personally dislike this behavior, so disabled `TeX-insert-braces'. You
> can have per-macro control over the decision whether the braces are
> added or not by `TeX-insert-braces-alist'.

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

No further comments, so I'm closing this report.

Best, Arash